/**
 * @typedef {import('ipfs-core-types').IPFS} IPFS
 * @typedef {import('ipfs-core-types/src/files').StatOptions} StatOptions
 * @typedef {import('ipfs-message-port-protocol/src/files').EncodedStat} EncodedStat
 */
export class FilesService {
    /**
     *
     * @param {IPFS} ipfs
     */
    constructor(ipfs: IPFS);
    ipfs: import("ipfs-core-types").IPFS<any>;
    /**
     * @typedef {object} StatQuery
     * @property {string} path
     *
     * @param {StatOptions & StatQuery} input
     */
    stat(input: import("ipfs-core-types/src/files").StatOptions & {
        path: string;
    }): Promise<{
        stat: {
            cid: import("ipfs-message-port-protocol/cid").EncodedCID;
            size: number;
            cumulativeSize: number;
            type: "file" | "directory";
            blocks: number;
            withLocality: boolean;
            local?: boolean | undefined;
            sizeLocal?: number | undefined;
            mode?: number | undefined;
            mtime?: import("ipfs-unixfs/dist/src/types").Mtime | undefined;
        };
        transfer: Set<Transferable>;
    }>;
}
export type IPFS = import('ipfs-core-types').IPFS;
export type StatOptions = import('ipfs-core-types/src/files').StatOptions;
export type EncodedStat = import('ipfs-message-port-protocol/src/files').EncodedStat;
//# sourceMappingURL=files.d.ts.map